#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i, j;
    scanf("%d %d", &n, &k);
    int a[n];
    for(i=1; i<=n; i++){
        scanf("%d", &a[i]);
    }
    for(j=1; j<=n+1; j++){
        if(a[j]==k){
            if(a[j]==a[n]){
                printf("%d", a[1]);
            }
            else{
                printf("%d", a[j+1]);
            }
        }
    }
}